[blfs-dev] [blfs-book] r12425 - trunk/BOOK/xsoft/office

Armin K. krejzi at email.com
Sat Dec 21 07:23:04 PST 2013


On 12/21/2013 04:10 PM, fernando at higgs.linuxfromscratch.org wrote:
> Author: fernando
> Date: Sat Dec 21 07:10:10 2013
> New Revision: 12425
> 
> Log:
> abiword-3.0.0: Fix to build with libgcrypt 1.6.0. Thanks Armin K.
> 
> Modified:
>    trunk/BOOK/xsoft/office/abiword.xml
> 
> Modified: trunk/BOOK/xsoft/office/abiword.xml
> ==============================================================================
> --- trunk/BOOK/xsoft/office/abiword.xml	Sat Dec 21 04:49:19 2013	(r12424)
> +++ trunk/BOOK/xsoft/office/abiword.xml	Sat Dec 21 07:10:10 2013	(r12425)
> @@ -96,6 +96,11 @@
>            AbiWord Docs size: &AbiWordDocs-size;
>          </para>
>        </listitem>
> +      <listitem>
> +        <para>
> +          Required patch: <ulink url="http://www.linuxfromscratch.org/patches/blfs/svn/abiword-&AbiWord-version;-libgcrypt_1_6_0-1.patch"/>
> +        </para>
> +      </listitem>
>      </itemizedlist>
>  
>      <bridgehead renderas="sect3">AbiWord Dependencies</bridgehead>
> @@ -162,7 +167,8 @@
>        commands:
>      </para>
>  
> -<screen><userinput>./configure --prefix=/usr &&
> +<screen><userinput>patch -Np1 -i abiword-&AbiWord-version;-libgcrypt_1_6_0-1.patch &&
> +./configure --prefix=/usr                           &&
>  make</userinput></screen>
>  
>      <para>
> @@ -180,8 +186,8 @@
>      </para>
>  
>  <screen><userinput>tar -xf ../abiword-docs-&AbiWord-version;.tar.gz &&
> -cd abiword-docs-&AbiWord-version; &&
> -./configure --prefix=/usr &&
> +cd abiword-docs-&AbiWord-version;                &&
> +./configure --prefix=/usr            &&
>  make</userinput></screen>
>  
>      <para>
> @@ -197,8 +203,9 @@
>  
>      <para>
>        <option>--disable-collab-backend-telepathy</option>: This switch disables
> -      <application>Telepathy</application> Colab backend which causes build to
> -      fail when using recent versions of <application>Telepathy GLib</application>.
> +      <application>Telepathy</application> Colab backend.
> +<!--  which causes build to
> +      fail when using recent versions of <application>Telepathy GLib</application>.-->
>      </para>
>  
>      <para>
> 

This block isn't necessarry at all anymore. Telepathy backend is
disabled by default if telepathy-glib is not found. Furthermore, build
won't fail if telepathy-glib is present as it did before.

-- 
Note: My last name is not Krejzi.



More information about the blfs-dev mailing list